#include<stdio.h>

int main(){
  
  FILE *fpa, *fpb, *fpc; /* ファイル型ストリーム */

  int i,j,k;
  double amat[3][3], bmat[3][3], cmat[3][3]; 
  
  /* ファイルを読み込み専用で開く */
  fpa=fopen("matrixa.dat", "r");
  fpb=fopen("matrixb.dat", "r");

  for(i=0;i<3; i++){
      for(j=0;j<3; j++){
	/* それぞれのファイルから行列を読み込んでamat, bmatに代入する */
	fscanf(fpa, "%lf", &amat[i][j]);
	fscanf(fpb, "%lf", &bmat[i][j]);
      }
  }

  /* ファイルを閉じる */
  fclose(fpa);
  fclose(fpb);
  
  /* amatとbmat行列の積をcmatに代入 */
  for(i=0;i<3;i++){
    for(j=0;j<3;j++){
      cmat[i][j] = 0.0; //  cmatを初期化
      for(k=0;k<3;k++){
	cmat[i][j] += amat[i][k]*bmat[k][j];
      }
    }
  }
  
  /* 出力するファイルを書き込み専用で開く */
  fpc=fopen("matrixc.dat", "w");

  /* cmatをmatrixc.datに出力 */
  for(i=0;i<3;i++){
    for(j=0;j<3;j++){
      fprintf(fpc, "%f ", cmat[i][j]);     
  }
    fprintf(fpc, "\n"); /* iを増やす前に改行を入れる */
  }

  /* 出力ファイルを閉じる */
  fclose(fpc);
  
  return 0;
}
